Plataformas y versiones compatibles con Apigee Hybrid

Plataformas compatibles

Instala solo las versiones compatibles actualizadas de Anthos Service Mesh.

Política de Apigee para la compatibilidad con versiones de Kubernetes

Para cada actualización secundaria híbrida:

  • Se admite un máximo de tres versiones de una plataforma de Kubernetes determinada.
  • Al menos una versión de la plataforma de Kubernetes se superpone con la versión secundaria anterior de Apigee Hybrid.
  • Las versiones de plataforma son compatibles con un máximo de tres versiones secundarias híbridas (por ejemplo, v1.9, v1.10 Y v1.11) o hasta que esa versión ya no sea compatible con el proveedor (EOL) va primero.
  • A partir de la versión híbrida 1.10, las versiones de plataforma nuevas se agregan solo a las versiones secundarias híbridas (x.y) y no a las versiones de parche (x.y.z).
  • Cuando se agrega una compatibilidad para una versión nueva de Kubernetes, se descarta la versión más baja compatible con la versión secundaria anterior de Apigee Hybrid.

    Superposición: v1.25.x está en v1.9 y v1.10 de Hybrid. Descartada: La versión v1.12.x se encuentra en v1.9 de Hybrid, pero no en v1.10. Agregada: v1.15.x está en v1.10 de Hybrid, pero no en v1.9.

Al momento del lanzamiento, Apigee Hybrid era compatible con las versiones de las plataformas que se enumeran en la siguiente tabla. Con el tiempo, estas versiones alcanzarán una fecha de EOL y ya no serán compatibles, como se indica con un símbolo no admitida de EOL. Es tu responsabilidad asegurarte de usar una versión compatible.

Apigee Hybrid es compatible con las siguientes versiones de estas plataformas:

Versiones de Apigee Hybrid

Plataformas

1.8 no admitida (3) 1.9 no admitida (3) 1.10 1.11
Anthos (Google Cloud - GKE) 1.21.x (≤ 1.8.3)
1.22.x (≤ 1.8.3)
1.23.x (≤ 1.8.4)
1.24.x (≥ 1.8.4)
1.25.x (≥ 1.8.4)
1.23.x
1.24.x
1.25.x
1.26.x (≥ 1.9.2)
1.24.x
1.25.x
1.26.x
1.25.x
1.26.x
1.27.x
Anthos (AWS) 1.10.x
1.11.x
1.12.x
1.13.x
1.25(13)
1.12.x
1.13.x
1.25(13)
1.13.x
1.25(13)
1.26(13)
1.14.x
1.25(13)
1.26(13)
Anthos (Azure) 1.10.x
1.11.x
1.12.x
1.13.x
1.14.x
1.12.x
1.13.x
1.14.x
1.13.x
1.14.x
1.15.x
1.14.x
1.15.x
1.16.x
Anthos (local - VMware) (1) (14) 1.10.x no admitida(4)
1.11.x no admitida(4)
1.12.x no admitida(4) (5)
1.13.x (5)
1.14.x (5)
1.15.x
1.12.x no admitida(4)
1.13.x
1.14.x
1.15.x
1.13.x
1.14.x
1.15.x
1.16.x
1.14.x
1.15.x
1.16.x
Anthos (Bare Metal)(1) 1.10.x no admitida(4)
1.11.x no admitida(4)
1.12.x no admitida(4) (5)
1.13.x (5)
1.14.x (5)
1.15.x
1.12.x no admitida(4)
1.13.x
1.14.x
1.15.x
1.13.x
1.14.x
1.15.x
1.16.x
1.14.x
1.15.x
1.16.x
EKS(7) 1.22.x (≤ 1.8.3)
1.23.x (≤ 1.8.4)
1.24.x (≥ 1.8.4)
1.25.x (≥ 1.8.4)
1.23.x
1.24.x
1.25.x
1.26.x (≥ 1.9.2)
1.24.x
1.25.x
1.26.x
1.25.x
1.26.x
1.27.x
AKS(7) 1.22.x (≤ 1.8.3)
1.23.x (≤ 1.8.4)
1.24.x (≥ 1.8.4)
1.25.x (≥ 1.8.4)
1.23.x
1.24.x
1.25.x
1.26.x (≥ 1.9.2)
1.24.x
1.25.x
1.26.x
1.25.x
1.26.x
1.27.x
OpenShift(7) 4.8
4.9
4.10
4.10
4.11
4.11
4.12
4.12
4.13
4.14
Rancher Kubernetes Engine (RKE)(7) N/A 1.3.8 v1.26.2+rke2r1 v1.26.2+rke2r1
v1.27.x

Componentes

1.8 no admitida (3) 1.9 no admitida (3) 1.10 1.11
Anthos Service Mesh (ASM) 1.11.x no admitida
1.12.x no admitida
1.13.x no admitida
1.14.x no admitida
1.15.x
1.17.x(11) 1.17.x(11) 1.18.x(11)
JDK JDK 11 JDK 11 JDK 11 JDK 11
cert-manager 1.7.x
1.8.x
1.9.x
1.10.x
1.11.x
1.10.x
1.11.x
1.10.x
1.11.x
1.12.x
1.11.x
1.12.x
1.13.x
Cassandra 3.11.9 3.11.9 3.11.9 3.11.9

(1) En las versiones 1.8, 1.9 y 1.10 de Anthos, sigue las instrucciones de estos documentos para evitar conflictos con cert-manager:

(2) Compatibilidad disponible con la versión 1.7.2 de Apigee Hybrid y posteriores..

(3) Se alcanzaron las fechas oficiales de EOL para las versiones 1.9 y posteriores de Apigee hybrid. Los parches mensuales regulares ya no están disponibles. Estas versiones ya no son oficialmente compatibles, excepto para los clientes con excepciones explícitas y oficiales para la asistencia continua. Otros clientes deben actualizar.

(4) Las versiones 1.12 y anteriores de Anthos alojado en Bare Metal y VMWare no son compatibles. Consulta la política de asistencia Anthos alojado en Bare Metal y las versiones de clústeres de Anthos alojados en VMware.

(5)Anthos alojado en Bare Metal y VMWare requiere ASM 1.14 o posterior. Te recomendamos que actualices a la versión híbrida 1.8 y cambies a la puerta de enlace de entrada de Apigee, que ya no requiere que instales ASM en tu clúster híbrido.

(6) Compatibilidad disponible con la versión 1.8.4 de Apigee Hybrid y posteriores..

(7) No se requieren clústeres adjuntos para Apigee Hybrid v1.8 y versiones posteriores con Apigee ingressgateway.

(8) No es compatible con la versión híbrida 1.8.4 de Apigee y las versiones posteriores.

(9) Compatibilidad disponible con la versión 1.7.6 de Apigee Hybrid y posteriores..

(10) No es compatible con la versión híbrida 1.8.5 de Apigee y las versiones posteriores.

(11) ASM se instala automáticamente con Apigee Hybrid 1.9 y versiones posteriores.

(12) Compatibilidad disponible con la versión 1.9.2 de Apigee Hybrid y versiones posteriores..

(13) Los números de versiones de clústeres de Anthos en AWS (múltiples nubes) ahora reflejan las versiones de Kubernetes. Consulta la compatibilidad de las versiones y las actualizaciones de Anthos para obtener detalles de las versiones y parches recomendados.

(14) Vault no está certificado en Anthos (local - VMware).

Acerca de los clústeres adjuntos

Para las versiones de Apigee Hybrid 1.7.x y anteriores, debes usar clústeres adjuntos de Anthos si deseas ejecutar Apigee Hybrid en un contexto de múltiples nubes en Elastic Kubernetes Service (EKS, Azure Kubernetes Service (AKS) o algún otro proveedor de servicios de Kubernetes compatible de terceros. El adjunto de clúster permite que Google mida el uso de Anthos Service Mesh (ASM). Registrar el clúster de terceros es opcional. Regístrate solo si deseas ver el clúster adjunto en la consola de Google Cloud. Para obtener más información, consulta Conecta clústeres de Kubernetes de terceros a Google Cloud.

En la versión 1.8.x de Apigee Hybrid, se requieren clústeres adjuntos de Anthos si usas Anthos Service Mesh para la puerta de enlace de entrada. Si usas la puerta de enlace de entrada de Apigee, los clústeres adjuntos de Anthos son opcionales.

Versiones compatibles

La asistencia para Apigee Hybrid sigue la política de compatibilidad de la versión del plano del entorno de ejecución. La política establece que las versiones secundarias de Apigee Hybrid son compatibles durante un máximo de 12 meses desde el lanzamiento original.

En la siguiente tabla, se muestran las versiones compatibles de Apigee Hybrid y la fecha del final del ciclo de vida (EOL) programada para una versión.

Versión Fecha de lanzamiento Fecha programada de EOL

1.11

2023-11-17 2024-11-17

1.10

2023-06-30 2024-06-30

Versiones no compatibles

Si usas una versión no compatible de Apigee Hybrid, debes actualizar a una versión compatible. Para obtener información sobre cómo realizar la actualización, consulta Actualiza Apigee Hybrid.

En la siguiente tabla, se muestran las versiones no compatibles de Apigee Hybrid y su fecha de final del ciclo de vida (EOL).

Versión Fecha de lanzamiento Fecha de EOL

1.9

2023-02-01 1 de febrero de 2024
La versión 1.9 de Apigee Hybrid se encuentra en EOL y ya no es compatible, excepto para los clientes con excepciones explícitas y oficiales para que la asistencia sea continua. Otros clientes deben actualizar.
Los parches mensuales regulares para la versión 1.9.x ya no se lanzan.

1.8

2022-08-17 2023-08-17
La versión 1.8 de Apigee Hybrid se encuentra en la EOL y ya no es compatible, excepto para los clientes con excepciones explícitas y oficiales para que la asistencia sea continua. Otros clientes deben actualizar.
Los parches mensuales regulares para la versión 1.8.x ya no se lanzan.

1.7

2022-04-18 2023-04-18

1.6

2021-09-13 2022-09-13

1.5

2021-06-18 2022-06-18

1.4

2020-12-17 2021-09-17

1.3

2020-07-30 2021-04-30

1.2

2020-04-30 2021-01-30

1.1

2020-01-27 2020-10-27

Historial de actualizaciones

Los números de las versiones de Apigee Hybrid incluyen lo siguiente:

  • Número de versión principal: una versión principal puede contener funciones y mejoras nuevas, correcciones de errores acumulativas, mitigación de vulnerabilidades de seguridad, cambios de configuración y cambios de infraestructura y arquitectura.
  • Número de versión secundaria: Una versión secundaria puede contener mejoras de funciones existentes, correcciones de errores acumulados y mitigación de vulnerabilidades de seguridad.
  • Número de versión del parche: Una versión del parche puede contener correcciones de errores y mitigación de vulnerabilidades de seguridad secundarias orientadas.

Por ejemplo: Apigee Hybrid v1.11.1 (major.minor.patch)

Para obtener más información sobre las actualizaciones, los tiempos y la asistencia, consulta Control de versiones y cadencia de la actualización.

En la siguiente tabla, se muestra información de la versión de parche de Apigee Hybrid con vínculos a notas de la versión.

Versión Aplicar parche Fecha de lanzamiento del parche Fecha de EOL de la versión secundaria

1.11

1.11.1-hotfix.1

1.11.1

2024-02-09

2023-12-21

2024-11-17

1.10